using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Labs
{
  public partial class BuiltInParamsCheckerForm : Form
  {
    SortableBindingList<BuiltInParamsChecker.ParameterData> _data;

    public BuiltInParamsCheckerForm( 
      bool isSymbol, 
      SortableBindingList<BuiltInParamsChecker.ParameterData> data )
    {
      _data = data;
      InitializeComponent();
      Text = ( isSymbol ? "Type " : "Instance " ) + Text;
    }

    private void BuilItParamsCheckerForm_Load( object sender, EventArgs e )
    {
      dataGridView1.DataSource = _data;
      dataGridView1.Columns[0].HeaderText = "BuiltInParameter";
      dataGridView1.Columns[1].HeaderText = "Parameter Name";
      dataGridView1.Columns[2].HeaderText = "Read/Write";
      dataGridView1.Columns[3].HeaderText = "String Value";
      dataGridView1.Columns[4].HeaderText = "Database Value";
      int w = dataGridView1.Width / 5;
      foreach( DataGridViewColumn c in dataGridView1.Columns )
      {
        c.Width = w;
      }
    }
  }
}